package de.ivu.elect.interfaces.core;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class WahlhelferEinsatzHistorie implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = false)
  private String bemerkung;

  @XmlElement(required = true)
  private Date wahldatum;

  @XmlElement(required = false)
  private String uebergeordneteGebietNummer;

  @XmlElement(required = false)
  private String gebietNummer;

  @XmlElement(required = false)
  private String bezirkNummer;

  @XmlElement(required = false)
  private String standortBezeichnung;

  @XmlElement(required = true)
  private WahlhelferEinsatzOrtArt wahlhelfereinsatzortArt;

  @XmlElement(required = true)
  private WahlhelferEinsatzStatus wahlhelfereinsatzStatus;

  @XmlElement(required = true)
  private WahlhelferRolle wahlhelferRolle;

  @XmlElement(required = true)
  private WahlhelferSchicht schicht = WahlhelferSchicht.KEINE;

  @XmlElement(required = true)
  private String wahlterminName;

  public String getBemerkung() {
    return bemerkung;
  }

  public void setBemerkung(String bemerkung) {
    this.bemerkung = bemerkung;
  }

  public Date getWahldatum() {
    return wahldatum;
  }

  public void setWahldatum(Date wahldatum) {
    this.wahldatum = wahldatum;
  }

  public String getUebergeordneteGebietNummer() {
    return uebergeordneteGebietNummer;
  }

  public void setUebergeordneteGebietNummer(String uebergeordneteGebietNummer) {
    this.uebergeordneteGebietNummer = uebergeordneteGebietNummer;
  }

  public String getGebietNummer() {
    return gebietNummer;
  }

  public void setGebietNummer(String gebietNummer) {
    this.gebietNummer = gebietNummer;
  }

  public String getBezirkNummer() {
    return bezirkNummer;
  }

  public void setBezirkNummer(String bezirkNummer) {
    this.bezirkNummer = bezirkNummer;
  }

  public String getStandortBezeichnung() {
    return standortBezeichnung;
  }

  public void setStandortBezeichnung(String standortBezeichnung) {
    this.standortBezeichnung = standortBezeichnung;
  }

  public WahlhelferEinsatzOrtArt getWahlhelfereinsatzortArt() {
    return wahlhelfereinsatzortArt;
  }

  public void setWahlhelfereinsatzortArt(WahlhelferEinsatzOrtArt wahlhelfereinsatzortArt) {
    this.wahlhelfereinsatzortArt = wahlhelfereinsatzortArt;
  }

  public WahlhelferEinsatzStatus getWahlhelfereinsatzStatus() {
    return wahlhelfereinsatzStatus;
  }

  public void setWahlhelfereinsatzStatus(WahlhelferEinsatzStatus wahlhelfereinsatzStatus) {
    this.wahlhelfereinsatzStatus = wahlhelfereinsatzStatus;
  }

  public WahlhelferRolle getWahlhelferRolle() {
    return wahlhelferRolle;
  }

  public void setWahlhelferRolle(WahlhelferRolle wahlhelferRolle) {
    this.wahlhelferRolle = wahlhelferRolle;
  }

  public WahlhelferSchicht getSchicht() {
    return schicht;
  }

  public void setSchicht(WahlhelferSchicht schicht) {
    this.schicht = schicht;
  }

  public String getWahlterminName() {
    return wahlterminName;
  }

  public void setWahlterminName(String wahlterminName) {
    this.wahlterminName = wahlterminName;
  }
}
